Bug 31106 - in-place migration: error message due to missing shell-lib include in setup-s4.sh
in-place migration: error message due to missing shell-lib include in setup-s...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Arvid Requate
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-19 11:08 CEST by Arvid Requate
Modified: 2013-11-19 06:43 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-04-19 11:08:37 CEST
During an in-place migration of samba3 to samba4 the actualise.log shows the error message:

/usr/share/univention-samba4/scripts/setup-s4.sh: line 265: extract_binddn_and_bindpwd_from_args: command not found

Yet, the following ldapmodifies work, god knows why. I guess we should add the line 

. /usr/share/univention-samba4/lib/all.sh

at the top of the script to include the definition of that function.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-05-31 10:45:45 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 2 Kevin Dominik Korte univentionstaff 2013-07-05 09:51:48 CEST
Found on Ticket#: 2013070421001541
Comment 3 Arvid Requate univentionstaff 2013-10-17 17:04:29 CEST
Code and changelog adjusted.
Comment 4 Stefan Gohmann univentionstaff 2013-10-25 10:14:53 CEST
Code + Changelog: OK
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:43:39 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".